## com.fasterxml.jackson.databind.deser.std
Class JacksonDeserializers.JsonLocationInstantiator

    java.lang.Object
      com.fasterxml.jackson.databind.deser.ValueInstantiator
          com.fasterxml.jackson.databind.deser.std.JacksonDeserializers.JsonLocationInstantiator

Enclosing class:
  JacksonDeserializers

    public static class JacksonDeserializers.JsonLocationInstantiator

extends ValueInstantiator

For `JsonLocation`, we should be able to just implement `ValueInstantiator` (not that explicit one would be very hard but...)

Constructor Summary
`JacksonDeserializers.JsonLocationInstantiator()`

Method Summary
`boolean` `canCreateFromObjectWith()` Method that can be called to check whether a property-based creator (argument-taking constructor or factory method) is available to instantiate values from JSON Object
`Object` `createFromObjectWith(DeserializationContext ctxt, Object[] args)` Method called to create value instance from JSON Object when instantiation arguments are passed; this is done, for example when passing information specified with "Creator" annotations.
`CreatorProperty[]` `getFromObjectArguments(DeserializationConfig config)` Method called to determine types of instantiation arguments to use when creating instances with creator arguments (when `ValueInstantiator.canCreateFromObjectWith()` returns true).
`String` `getValueTypeDesc()` Method that returns description of the value type this instantiator handles.

Methods inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator
`canCreateFromBoolean, canCreateFromDouble, canCreateFromInt, canCreateFromLong, canCreateFromString, canCreateUsingDefault, canCreateUsingDelegate, canInstantiate, createFromBoolean, createFromDouble, createFromInt, createFromLong, createFromString, createUsingDefault, createUsingDelegate, getDefaultCreator, getDelegateCreator, getDelegateType, getWithArgsCreator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JacksonDeserializers.JsonLocationInstantiator

    public JacksonDeserializers.JsonLocationInstantiator()

Method Detail

### getValueTypeDesc

    public String getValueTypeDesc()

  Description copied from class: `ValueInstantiator`
  Method that returns description of the value type this instantiator handles. Used for error messages, diagnostics.

  Specified by:
    `getValueTypeDesc` in class `ValueInstantiator`

### canCreateFromObjectWith

    public boolean canCreateFromObjectWith()

  Description copied from class: `ValueInstantiator`
  Method that can be called to check whether a property-based creator (argument-taking constructor or factory method) is available to instantiate values from JSON Object

  Overrides:
    `canCreateFromObjectWith` in class `ValueInstantiator`

### getFromObjectArguments

    public CreatorProperty[] getFromObjectArguments(DeserializationConfig config)

  Description copied from class: `ValueInstantiator`
  Method called to determine types of instantiation arguments to use when creating instances with creator arguments (when `ValueInstantiator.canCreateFromObjectWith()` returns true). These arguments are bound from JSON, using specified property types to locate deserializers.

  NOTE: all properties will be of type `CreatorProperty`.

  Overrides:
    `getFromObjectArguments` in class `ValueInstantiator`

### createFromObjectWith

    public Object createFromObjectWith(DeserializationContext ctxt,
                                       Object[] args)

  Description copied from class: `ValueInstantiator`
  Method called to create value instance from JSON Object when instantiation arguments are passed; this is done, for example when passing information specified with "Creator" annotations.

  This method is called if `ValueInstantiator.getFromObjectArguments(com.fasterxml.jackson.databind.DeserializationConfig)` returns a non-empty List of arguments.

  Overrides:
    `createFromObjectWith` in class `ValueInstantiator`

Copyright © 2012 FasterXML. All Rights Reserved.